{"openapi":"3.0.1","info":{"title":"Api Nif Actif Cloud API","description":"Api Nif Actif Cloud API documentation","termsOfService":"","contact":{"name":"","url":"","email":""},"license":{"name":"unlicensed","url":""},"version":"0.0.1"},"servers":[{"url":"http://api.referentiel.finances.ml","description":"Generated server url"}],"paths":{"/api/v1/nif-actives/{id}":{"get":{"tags":["nif-active-resource"],"operationId":"getNifActive","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NifActive"}}}}}},"put":{"tags":["nif-active-resource"],"operationId":"updateNifActive","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NifActive"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NifActive"}}}}}},"delete":{"tags":["nif-active-resource"],"operationId":"deleteNifActive","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["nif-active-resource"],"operationId":"partialUpdateNifActive","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NifActive"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/NifActive"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NifActive"}}}}}}},"/api/nif-active-bags/{id}":{"get":{"tags":["nif-active-bag-resource"],"operationId":"getNifActiveBag","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NifActiveBag"}}}}}},"put":{"tags":["nif-active-bag-resource"],"operationId":"updateNifActiveBag","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NifActiveBag"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NifActiveBag"}}}}}},"delete":{"tags":["nif-active-bag-resource"],"operationId":"deleteNifActiveBag","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["nif-active-bag-resource"],"operationId":"partialUpdateNifActiveBag","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NifActiveBag"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/NifActiveBag"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NifActiveBag"}}}}}}},"/api/v1/nif-actives":{"get":{"tags":["nif-active-resource"],"operationId":"getAllNifActives","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NifActive"}}}}}}},"post":{"tags":["nif-active-resource"],"operationId":"createNifActive","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NifActive"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NifActive"}}}}}}},"/api/v1/nif-actives-update-from-local":{"post":{"tags":["nif-active-resource"],"operationId":"updateIncomingNifActive","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NifActive"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NifActifContract"}}}}}}}},"/api/nif-active-bags":{"get":{"tags":["nif-active-bag-resource"],"operationId":"getAllNifActiveBags","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NifActiveBag"}}}}}}},"post":{"tags":["nif-active-bag-resource"],"operationId":"createNifActiveBag","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NifActiveBag"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NifActiveBag"}}}}}}},"/api/v1/refresh-nif-bag":{"get":{"tags":["nif-active-resource"],"operationId":"refreshNifFromBag","parameters":[{"name":"batchSize","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/api/v1/get-one-by-nif":{"get":{"tags":["nif-active-resource"],"operationId":"getNifActiveByNIF","parameters":[{"name":"nif","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NifActive"}}}}}}},"/api/users":{"get":{"tags":["public-user-resource"],"operationId":"getAllPublicUsers","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserDTO"}}}}}}}},"/api/authorities":{"get":{"tags":["public-user-resource"],"operationId":"getAuthorities","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}}}}}},"components":{"schemas":{"NifActive":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"loadDate":{"type":"string","format":"date-time"},"registrationDate":{"type":"string","format":"date-time"},"center":{"type":"string"},"centerCode":{"type":"string"},"taxCenterNumber":{"type":"integer","format":"int32"},"contactName":{"type":"string"},"email":{"type":"string"},"phone":{"type":"string"},"door":{"type":"string"},"street":{"type":"string"},"village":{"type":"string"},"locality":{"type":"string"},"city":{"type":"string"},"country":{"type":"string"},"address":{"type":"string"},"taxPayerType":{"type":"string"},"taxPayerName":{"type":"string"},"nif":{"type":"string"},"updateDate":{"type":"string","format":"date-time"},"updateDateFromView":{"type":"string","format":"date-time"},"activityArea":{"type":"string"}}},"NifActiveBag":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"loadDate":{"type":"string","format":"date-time"},"registrationDate":{"type":"string","format":"date-time"},"center":{"type":"string"},"centerCode":{"type":"string"},"taxCenterNumber":{"type":"integer","format":"int32"},"contactName":{"type":"string"},"email":{"type":"string"},"phone":{"type":"string"},"door":{"type":"string"},"street":{"type":"string"},"village":{"type":"string"},"locality":{"type":"string"},"city":{"type":"string"},"country":{"type":"string"},"address":{"type":"string"},"taxPayerType":{"type":"string"},"taxPayerName":{"type":"string"},"nif":{"type":"string"},"activityArea":{"type":"string"},"updateDateFromView":{"type":"string","format":"date-time"}}},"NifActifContract":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"address":{"type":"string"},"country":{"type":"string"},"contactName":{"type":"string"},"nif":{"type":"string"},"email":{"type":"string"},"loadDate":{"type":"string","format":"date-time"},"registrationDate":{"type":"string","format":"date-time"},"center":{"type":"string"},"centerCode":{"type":"string"},"taxCenterNumber":{"type":"integer","format":"int32"},"phone":{"type":"string"},"door":{"type":"string"},"street":{"type":"string"},"village":{"type":"string"},"locality":{"type":"string"},"city":{"type":"string"},"taxPayerType":{"type":"string"},"taxPayerName":{"type":"string"},"activityArea":{"type":"string"},"updateDateFromView":{"type":"string","format":"date-time"}}},"UserDTO":{"type":"object","properties":{"id":{"type":"string"},"login":{"type":"string"}}}}}}